# VLSI RPA HOOKS

This is a set of hooks used by various VLSI based courses in the
[TILab](https://www.tilab.tuwien.ac.at) at
[TU Wien](https://tuwien.ac.at).

## usb-rights

### Synopsys

```
vlsi/usb-rights give <user>
vlsi/usb-rights take
```

### Description

Give or take rights to all USB devices.

To be called on assign and unassign.

## rtsp-stream

### Synopsys

```
vlsi/rtsp-stream start
vlsi/rtsp-stream stop
```

Start and configure or stop RTSP streaming.

To be called on assign and unassign.
